package ljnelson.glassfish.embedded;

import org.junit.Test;

import org.junit.runner.RunWith;

import org.jboss.arquillian.api.Deployment;

import org.jboss.arquillian.junit.Arquillian;

import org.jboss.shrinkwrap.api.ShrinkWrap;

import org.jboss.shrinkwrap.api.spec.EnterpriseArchive;
import org.jboss.shrinkwrap.api.spec.JavaArchive;

import static org.junit.Assert.*;

@RunWith(Arquillian.class)
public class TestCaseConnectionRefused {

  public TestCaseConnectionRefused() {
    super();
  }

  @Deployment
  public static EnterpriseArchive createArchive() {
    final JavaArchive ejbJar = ShrinkWrap.create("greeterEjbJar.jar", JavaArchive.class);
    assertNotNull(ejbJar);
    ejbJar.addClasses(Greeter.class, GreeterBean.class);
    final EnterpriseArchive ear = ShrinkWrap.create("testEar.ear", EnterpriseArchive.class);
    ear.addModule(ejbJar);
    return ear;
  }

  @Test
  public void sayHello() {
    System.out.println("Hello!");
  }

}